ranges::views::generate_n_fn Struct Reference

## Synopsis of methods

constexpr generate_n_fn | generate_n {}

## Public Member Functions

template<typename G >
CPP_TEMPLATE_AUX_0 | g (requires ` invocable< G & > &&copy_constructible< G > &&std::is_object< detail::decay_t< invoke_result_t< G & >>>::value &&constructible_from< detail::decay_t< invoke_result_t< G & >>, invoke_result_t< G & >> &&assignable_from< detail::decay_t< invoke_result_t< G & >> &, invoke_result_t< G & >>) gggenerate_n_view< G > operator()(G g

## Public Attributes

CPP_TEMPLATE_AUX_0 std::size_t n | const

## Member Data Documentation

## const

CPP_TEMPLATE_AUX_0 std::size_t n ranges::views::generate_n_fn::const

Initial value:
{
return generate_n_view<G>{std::move(g), n}
ranges::aux::move
constexpr move_fn move
Definition: move.hpp:52